OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_BoundedCurve Class Reference

`#include <PGeom2d_BoundedCurve.hxx>`

Inheritance diagram for PGeom2d_BoundedCurve:

[legend]

## Public Member Functions
| PGeom2d_BoundedCurve (const Storage_stCONSTclCOM &a)
| PGeom2d_BoundedCurve ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PGeom2d_BoundedCurve::PGeom2d_BoundedCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PGeom2d_BoundedCurve::PGeom2d_BoundedCurve | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom2d_BoundedCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Curve. Reimplemented in PGeom2d_BezierCurve, PGeom2d_BSplineCurve, and PGeom2d_TrimmedCurve.

The documentation for this class was generated from the following file:

- PGeom2d_BoundedCurve.hxx